package com.artfess.yhxt.specialproject.manager;

import com.artfess.base.query.PageList;
import com.artfess.base.query.QueryFilter;
import com.artfess.yhxt.specialproject.model.BizProjectContract;
import com.artfess.yhxt.specialproject.model.BizProjectContractDetails;
import com.artfess.base.manager.BaseManager;

import java.util.List;

/**
 * 项目合同明细表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author wangping
 * @since 2021-08-10
 */
public interface BizProjectContractDetailsManager extends BaseManager<BizProjectContractDetails> {

    PageList<BizProjectContractDetails> queryBizProjectContractDetails(QueryFilter<BizProjectContractDetails> queryFilter);

    BizProjectContractDetails getBizProjectContractDetailsById(String id);

    List<BizProjectContractDetails> selectListById(String id);

    void setIsDele(String id);

    //根据合同ID删除合同明细
    void removeContract(String ContractId);
}
